# norootforbuild

Name:		libiec61883
Summary:	Implementation of IEC 61883
License:	LGPL
URL:		http://www.linux1394.org/
Group:		Development/Libraries/Other
Version:	1.1.0
Release:	2.19

Source0:	http://www.linux1394.org/files/libiec61883/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	pkgconfig libraw1394-devel >= 1.2.1

%description
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

Requires: libraw1394 >= 1.2.1


%package devel
Summary:	Development libs for libiec61883
Group:		Development/Libraries
Requires:	%{name} = %{version} libraw1394-devel

%description devel
Development libraries needed to build applications against libiec61883


%prep
%setup -q


%build
export CFLAGS="%optflags -fno-strict-aliasing -D_FILE_OFFSET_BITS=64"
%configure

%__make


%install
%makeinstall
install examples/test-mpeg2 %{buildroot}%{_bindir}


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/plugctl
%{_bindir}/plugreport
%{_bindir}/test-mpeg2
%{_libdir}/libiec61883.so.*
%doc %{_mandir}/man[1]/*.gz

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_prefix}/include/*
%{_libdir}/pkgconfig/libiec61883.pc
%doc examples/*.c


%changelog
* Tue Jan 29 2008 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

